pyregfi._StructureWrapper Class Reference

Abstract class for most objects returned by the library. More...

Inheritance diagram for pyregfi._StructureWrapper:
[legend]

## Public Member Functions

def | __eq__ (self, other)
| Test for equality. More...

## Detailed Description

Abstract class for most objects returned by the library.

## Member Function Documentation

## __eq__()

def pyregfi._StructureWrapper.__eq__ | ( |  | self,
|  |  | other
| ) |  |

Test for equality.

Records returned by pyregfi may be compared with one another. For example:

>>> key2 = key1.subkeys['child']
>>> key1 == key2
False
>>> key1 != key2
True
>>> key1 == key2.get_parent()
True

References pyregfi._StructureWrapper.__eq__(), REGFI_SK.offset, REGFI_NK.offset, REGFI_VK.offset, REGFI_CLASSNAME.offset, and pyregfi._StructureWrapper.offset.

Referenced by pyregfi._StructureWrapper.__eq__().

The documentation for this class was generated from the following file:

- __init__.py